Bug 21895 - failed to restore gid
failed to restore gid
Product: Red Hat Powertools
Classification: Retired
Component: exim (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2000-12-07 11:43 EST by David Saranen
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-23 13:48:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Saranen 2000-12-07 11:43:26 EST

Running mostly RH7, except cyrus-imap and exim are from Rawhide.

exim -bV works, whilst exim -bP dies with

   exim: failed to restore gid: Operation not permitted

effectively kills eximon as well - can't figure out where the
log files are. I see that exim is suid root under rawhide, which
it was not under 3.13 of RH7.

3.13 failed miserably

Comment 1 Tim Waugh 2001-01-08 15:30:46 EST
Hmm, I can't reproduce this. :-/  What does ls -l /usr/sbin/exim say?
Comment 2 David Saranen 2001-01-23 13:48:11 EST
-rwsr-xr-x    1 root     root      1238108 Oct 18 17:35 /usr/sbin/exim

Can run exim -bP as user mail, but not as root, or not as anyone else in the
mail group.

I've been changing to user mail to run the admin stuff. Haven't monkeyed with
it in about a month.

eximon still has problems - running it as user mail works, but it gets
confused, and the bottom window doesn't update right.

You can close the case if you want.
Comment 3 Tim Waugh 2001-01-23 13:53:28 EST
I will.  In newer exims there is a 'hide' keyword which allows more fine-grained
access control, and so we no longer ship the -bP patch.

Note You need to log in before you can comment on or make changes to this bug.